#ifndef KSEARCHBAR_H
#define KSEARCHBAR_H

#include <QWidget>
#include <QLineEdit>
#include "gui_g.h"

namespace kdk
{

/** @defgroup 输入框模块
  * @{
  */

class KSearchLineEditPrivate;

/**
 * @brief 搜索输入框
 */
class GUI_EXPORT KSearchLineEdit:public QLineEdit
{
    Q_OBJECT

public:
    explicit KSearchLineEdit(QWidget*parent = nullptr);
    ~KSearchLineEdit();

    /**
     * @brief setEnabled
     */
    void setEnabled(bool);

    /**
     * @brief isEnabled
     * @return
     */
    bool isEnabled();

protected:
    bool eventFilter(QObject *watched, QEvent *event);
    void resizeEvent(QResizeEvent *event);

private:
    Q_DECLARE_PRIVATE(KSearchLineEdit)
    KSearchLineEditPrivate* d_ptr;
};

}
/**
  * @example testsearchlinedit/widget.h
  * @example testsearchlinedit/widget.cpp
  * @}
  */

#endif // KSEARCHBAR_H
