#ifndef KTABBAR_H
#define KTABBAR_H

#include "gui_g.h"
#include <QTabBar>

namespace kdk
{

/** @defgroup bar模块
  * @{
  */

/**
 * @brief 支持三种样式
 */
enum KTabBarStyle
{
    SegmentDark,
    SegmentLight,
    Sliding
};

class KTabBarPrivate;

/**
 * @brief KTabBar,支持三种样式
 */
class GUI_EXPORT KTabBar: public QTabBar
{
    Q_OBJECT

public:
    KTabBar(KTabBarStyle barStyle = SegmentLight,QWidget* parent = nullptr);
    ~KTabBar();

    /**
     * @brief 设置TabBar样式
     * @param barStyle
     */
    void setTabBarStyle(KTabBarStyle barStyle);

    /**
     * @brief 返回TabBar样式
     * @return
     */
    KTabBarStyle barStyle();

private:
    Q_DECLARE_PRIVATE(KTabBar)
    KTabBarPrivate*const d_ptr;
};
}
/**
  * @example testtabbar/widget.h
  * @example testtabbar/widget.cpp
  * @}
  */
#endif //KTABBAR_H
